﻿/**
	Post-Installation dialog with the option to open the folder where everything was placed.
	The macro file is placed by the mzp.run, but also executed from here once so it can be used
	right after installation without having to restart 3ds Max.
*/
colorMan.reinitIcons() -- Refreshes max icons
filein ((GetDir #usermacros) + "\\SelectByMaterial_v1.4_by_3dwannab.mcr")

Install_Dialog_Width = 285

try(destroyDialog Install_Dialog)catch()
rollout Install_Dialog "SelectByMaterial v1.4 by 3dwannab (◣_◢)" width:Install_Dialog_Width
(

	local Dir_Scr_Uninstall = (getDir #userScripts) + "\\3dwannab\\SelectByMaterial"
	local FileInScript = (GetDir #userScripts) + "\\3dwannab\\SelectByMaterial\\SelectByMaterial_v1.4_by_3dwannab.ms"

--------------------------------------------------------------------

    fn DeleteDirAndSubDir rootDir = (
        try ( HiddenDOSCommand ("rmDir \"" + rootDir + "\" /s /q") ) catch (messagebox "Can't delete Select By Material (◣_◢) folders!" title:"Select By Material Install Error!!!")
    )

    fn DeleteFiles curDir file = (
        filesToDelete = getFiles (curDir + file)
        for f in filesToDelete do	deleteFile f
    )

--------------------------------------------------------------------
	
	label lbl_text1 "Congratulations (◣_◢)"
	label lbl_text2	"SelectByMaterial v1.4 is now installed!"
	label lbl_dash1	"--------------------------------------------------------------------"
	label lbl_text3 "To get a Toolbar button click on 'Add button to CUI now' and go to:\n\nToolbars  -> Category  -> '3dwannab' and drag 'Select By Material (◣_◢)' to a toolbar.\n\nClick the toolbar icon to run it!" align:#left width:240 height:90
	label lbl_dash2 "--------------------------------------------------------------------"
	button btn_Run_Script "RUN Script Now (◣_◢)" width:((Install_Dialog_Width-10) as integer) height:30 toolTip:"Runs Script Now!"
	button btn_Uninstall "UNINSTALL" across: 2 width:((Install_Dialog_Width/2) as integer) height:30 toolTip:"Removes all traces of the script and folders"
	button btn_CUI "Add button to CUI now !" width:((Install_Dialog_Width/2) as integer) height:30 toolTip:"Opens the Customize User Interface to allow button to be added to UI"	

	on btn_Run_Script pressed do (
		try(destroyDialog Install_Dialog)catch()
		if (doesFileExist FileInScript) then
		fileIn FileInScript	else (
				messageBox "Unable to locate the script.\n\nIt should be in the userscripts Folder\n\nType '(GetDir #userscripts)' in MAXScript Listener to find the location" title:"SelectByMaterial v1.4 by 3dwannab (◣_◢)"
		)
	)

	on btn_Uninstall pressed do	(
		if querybox "Are you sure ?" title:"Un-install SelectByMaterial v1.4 by 3dwannab (◣_◢)" beep:true then (
			DeleteDirAndSubDir ((getDir #userscripts) + "\\3dwannab\\SelectByMaterial")		--delete script folders
			DeleteFiles ((getDir #usericons) + "\\SelectByMaterial_Icon") "*.*"				--delete the icons & psd
			DeleteFiles ((getDir #usermacros) + "\\*SelectByMaterial") "*.*"				--delete macro
			messagebox "Uninstall Complete...\n\nTo install again just drag the .mzp file into the 3ds Max window or through the Run Script method\n\nGoodbye...(◣_◢)" title:"SelectByMaterial v1.4 by 3dwannab (◣_◢)"  beep:true
			try(destroyDialog Install_Dialog)catch()
		)
	)

	on btn_CUI pressed do (
		actionMan.executeAction 0 "59226"  -- Customize User Interface: Customize User Interface
	)

)
createDialog Install_Dialog style:#(#style_titlebar, #style_sysmenu, #style_toolwindow)